package cokr.xit.fims.cmmn.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.cmmn.CrdnPayerAddrHstry;
import cokr.xit.fims.cmmn.CrdnPayerHstryQuery;
import cokr.xit.fims.cmmn.service.CrdnPayerAddrHstryService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/**단속 납부자 이력 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-08-16	leebj 최초 작성
 * 2024-11-05   JoJH 단속 납부자 주소 이력 테이블 변경으로 인한 수정
 * ================================
 * </pre>
 */
@Service("crdnPayerAddrHstryService")
public class CrdnPayerAddrHstryServiceBean extends AbstractServiceBean implements CrdnPayerAddrHstryService {

	/** 단속 납부자 주소 이력 정보 Bean */
	@Resource(name = "crdnPayerAddrHstryBean")
	private CrdnPayerAddrHstryBean crdnPayerAddrHstryBean;

	@Override
	public List<DataObject> getCrdnPayerHstryList(CrdnPayerHstryQuery req) {
		return crdnPayerAddrHstryBean.getCrdnPayerHstryList(req);
	}

	@Override
	public List<DataObject> getCrdnPayerHstrys(CrdnPayerHstryQuery req) {
		return crdnPayerAddrHstryBean.getCrdnPayerHstrys(req);
	}

	@Override
	public boolean create(CrdnPayerAddrHstry crdnPayerAddrHstry) {
		return crdnPayerAddrHstryBean.create(crdnPayerAddrHstry);
	}

	@Override
	public boolean createHstryUpdateCrdnPayerAddr(CrdnPayerAddrHstry crdnPayerAddrHstry) {
		return crdnPayerAddrHstryBean.createHstryUpdateCrdnPayerAddr(crdnPayerAddrHstry);
	}

}